API RestDocuments
Dernière mise à jour le 20 juillet 2026
Restore a soft-deleted folder and its descendants.
Restoring is admin/integrator-only, independent of the caller's resolved access on the folder — see require_document_org_manager.
Authorization
JwtAuth AuthorizationBearer <token>
In: header
Path Parameters
folder_id*Folder Id
Format
uuidResponse Body
application/json
curl -X POST "https://example.com/documents/folders/497f6eca-6276-4993-bfeb-53cbbbba6f08/restore"{}Continuer plus loin
PATCHUpdate Folder Default Access PATCH
Previous Page
GETGet Folder Sync GET
Return the recurring-sync config for a folder that's the root of a DocumentSourceSync. 404 if the folder wasn't created by POST /documents/import-from-source (i.e. it's plain manually-managed content, not the root of a connector sync).